var token = $.cookie("token");
var id = helper.request.queryString("ids");
$(document).ready(function() {
    getProvinceCounty($("#formProvince"), 0, "请选择省")
	//保存按钮
	$('#save_btns').click(function() {
		if($('#formName').val() == '') {
			layer.confirm('请输入姓名！', {
				btn: ['确定']
			});
			return;
		}
		if($('#formTel').val() == '') {
			layer.confirm('请输入电话！', {
				btn: ['确定']
			});
			return;
		}
		$.post(huayi.config.callcenter_url + 'Customer/SaveCustomer', {
			"token": $.cookie("token"),
            id:id,
            name: $("#formName").val(),
            tel: $("#formTel").val(),
            province: $("#formProvince option:selected").text() === "请选择省" ? "" : $("#formProvince option:selected").text(),
            city: $("#formCity option:selected").text() === "请选择市" ? "" : $("#formCity option:selected").text(),
            country: $("#formCountry option:selected").text() === "请选择县/区" ? "" : $("#formCountry option:selected").text(),
            address: $("#formAddress").val(),
            sex: $("#formSex input[name='sex']:checked").val(),
			remarks: $("#formRemark").val(),
			specialTag: $("#specialPetitioners input[name='special']:checked").val(),
		}, function(result) {
			result = $.parseJSON(result);
			if(result.state.toLowerCase() == "success") {
				$("#activess").val(result.data);
				var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
				parent.layer.close(index); //再执行关闭
				parent.layer.msg("保存成功！");
				parent.table.bootstrapTable('refresh');
			}
		})
	})
	if(id) {
		$.get(huayi.config.callcenter_url + 'Customer/GetCustomer', {
			id: id,
			"token": $.cookie("token")
		}, function(result) {
			result = $.parseJSON(result);
			if(result.state.toLowerCase() == "success") {
                var con = result.data;
                $("#formName").val(con.F_Name);
                $("#formTel").val(con.F_Phone);
                $("#formProvince option:selected").text(con.F_Province);
                $("#formCity option:selected").text(con.F_City);
                $("#formCountry option:selected").text(con.F_County);
                $("#formAddress").val(con.F_Address);
				$("#formSex input[name='sex'][value='" + con.F_Sex +"']").prop("checked","checked");
                $("#specialPetitioners input[name='special'][value='" + con.F_SpecialTag +"']").prop("checked","checked");
                $("#formRemark").val(con.F_Remarks);
			}
		})
	}
})

/* 
    获取 省 市 县/区
    parameter:
        pid     int
*/
function getProvinceCounty(element, pid, text) {
    element.empty();
    element.append('<option value="">'+ text +'</option>');
	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetCountyList", {
		"token": $.cookie("token"),
		pid: pid,
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
            	element.append("<option value='" + n.F_RegionId + "'>" + n.F_RegionName + "</option>");
			})
		}
	})
}

$("#formProvince").on('change',function(){
	getProvinceCounty($("#formCity"), $("#formProvince").val(), "请选择市");
});
$("#formCity").on('change',function(){
	getProvinceCounty($("#formCountry"), $("#formCity").val(), "请选择县/区");
});
